Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlListShuttle

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.richfaces.component.UIOrderingBaseComponent
                          org.richfaces.component.UIListShuttle
                              org.richfaces.component.html.HtmlListShuttle

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.NamingContainer, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

    public class HtmlListShuttle

extends UIListShuttle

Component-Type org.richfaces.ListShuttle Component-Family org.richfaces.ListShuttle Renderer-Type org.richfaces.ListShuttleRenderer

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.component.UIListShuttle
`UIListShuttle.SubmittedValue, UIListShuttle.ValueHolder`

Nested classes/interfaces inherited from class org.richfaces.component.UIOrderingBaseComponent
`UIOrderingBaseComponent.DataAdder, UIOrderingBaseComponent.ItemState, UIOrderingBaseComponent.UpdateModelCommand`

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIListShuttle
`updateActiveItemCommand, updateSourceSelectionCommand, updateTargetSelectionCommand`

Fields inherited from class org.richfaces.component.UIOrderingBaseComponent
`isColumn`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlListShuttle()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getBottomControlClass()` CSS class for bottom control Getter for bottomControlClass
`java.lang.String` | `getBottomControlLabel()` Defines a label for a bottom control Getter for bottomControlLabel
`java.lang.String` | `getColumnClasses()` Comma-separated list of CSS classes for columns Getter for columnClasses
`java.lang.String` | `getControlsType()` Defines type of a control: button or none.
`javax.faces.convert.Converter` | `getConverter()` Id of Converter to be used or reference to a Converter Getter for converter
`java.lang.String` | `getCopyAllControlClass()` CSS class for copyAll control Getter for copyAllControlClass
`java.lang.String` | `getCopyAllControlLabel()` Defines a label for a copyAll control Getter for copyAllControlLabel
`java.lang.String` | `getCopyControlClass()` CSS class for copy control Getter for copyControlClass
`java.lang.String` | `getCopyControlLabel()` Defines a label for a copy control Getter for copyControlLabel
`java.lang.String` | `getDisabledControlClass()` CSS class for a disabled control Getter for disabledControlClass
`java.lang.String` | `getDownControlClass()` CSS class for down control Getter for downControlClass
`java.lang.String` | `getDownControlLabel()` Defines a label for a down control Getter for downControlLabel
`java.lang.String` | `getFamily()`
`java.lang.String` | `getListClass()` CSS class for a list Getter for listClass
`java.lang.String` | `getListsHeight()` Defines height of the list Getter for listsHeight
`java.lang.String` | `getMoveControlsVerticalAlign()` Customize vertically position of move controls relatively to lists Getter for moveControlsVerticalAlign
`java.lang.String` | `getOnbottomclick()` A JavaScript event handler; a button "Bottom" is clicked Getter for onbottomclick
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOncopyallclick()` A JavaScript event handler; a button "Copy All" is clicked Getter for oncopyallclick
`java.lang.String` | `getOncopyclick()` HTML: a script expression; a button "Copy" is clicked Getter for oncopyclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOndownclick()` A JavaScript event handler; a button "Down" is clicked Getter for ondownclick
`java.lang.String` | `getOnlistchanged()` A JavaScript event handler called on a list change operation Getter for onlistchanged
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnorderchanged()` HTML: script expression; called after ordering action Getter for onorderchanged
`java.lang.String` | `getOnremoveallclick()` A JavaScript event handler; a button "Remove All" is clicked Getter for onremoveallclick
`java.lang.String` | `getOnremoveclick()` A JavaScript event handler; a button "Remove" is clicked Getter for onremoveclick
`java.lang.String` | `getOntopclick()` A JavaScript event handler; a button "Top" is clicked Getter for ontopclick
`java.lang.String` | `getOnupclick()` HTML: a script expression; a button "Up" is clicked Getter for onupclick
`java.lang.String` | `getOrderControlsVerticalAlign()` Customizes vertically position of order controls relatively to lists Getter for orderControlsVerticalAlign
`java.lang.String` | `getRemoveAllControlClass()` CSSlass for remove all control Getter for removeAllControlClass
`java.lang.String` | `getRemoveAllControlLabel()` Defines a label for a removeAll control Getter for removeAllControlLabel
`java.lang.String` | `getRemoveControlClass()` CSS class for remove control Getter for removeControlClass
`java.lang.String` | `getRemoveControlLabel()` Defines a label for a remove control Getter for removeControlLabel
`java.lang.String` | `getRowClasses()` CSS class for a row Getter for rowClasses
`java.lang.String` | `getSourceCaptionLabel()` Defines source list caption representation text Getter for sourceCaptionLabel
`java.lang.String` | `getSourceListWidth()` Defines width of a source list Getter for sourceListWidth
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTargetCaptionLabel()` Defines target list caption representation text Getter for targetCaptionLabel
`java.lang.String` | `getTargetListWidth()` Defines width of a target list Getter for targetListWidth
`java.lang.String` | `getTopControlClass()` CSS class for top control Getter for topControlClass
`java.lang.String` | `getTopControlLabel()` Defines a label for a "Top" control Getter for topControlLabel
`java.lang.String` | `getUpControlClass()` CSS class for up control Getter for upControlClass
`java.lang.String` | `getUpControlLabel()` Defines a label for an "Up" control Getter for upControlLabel
`javax.faces.el.MethodBinding` | `getValueChangeListener()` Listener for value changes Getter for valueChangeListener
`boolean` | `isFastMoveControlsVisible()` If "false", 'Copy All' and 'Remove All' controls aren't displayed Getter for fastMoveControlsVisible
`boolean` | `isFastOrderControlsVisible()` If "false", 'Top' and 'Bottom' controls aren't displayed.
`boolean` | `isImmediate()` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Getter for immediate
`boolean` | `isMoveControlsVisible()` If "false", 'Copy' and 'Remove' controls aren't displayed Getter for moveControlsVisible
`boolean` | `isOrderControlsVisible()` If "false", 'Up' and 'Down' controls aren't displayed.
`boolean` | `isRequired()` If "true", this component is checked for non-empty input Getter for required
`boolean` | `isShowButtonLabels()` Shows a label for a button Getter for showButtonLabels
`boolean` | `isSwitchByClick()` If "true", dragging between lists realized by click Getter for switchByClick
`boolean` | `isValid()` valid Getter for valid
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setBottomControlClass(java.lang.String __bottomControlClass)` CSS class for bottom control Setter for bottomControlClass
`void` | `setBottomControlLabel(java.lang.String __bottomControlLabel)` Defines a label for a bottom control Setter for bottomControlLabel
`void` | `setColumnClasses(java.lang.String __columnClasses)` Comma-separated list of CSS classes for columns Setter for columnClasses
`void` | `setControlsType(java.lang.String __controlsType)` Defines type of a control: button or none.
`void` | `setConverter(javax.faces.convert.Converter __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setCopyAllControlClass(java.lang.String __copyAllControlClass)` CSS class for copyAll control Setter for copyAllControlClass
`void` | `setCopyAllControlLabel(java.lang.String __copyAllControlLabel)` Defines a label for a copyAll control Setter for copyAllControlLabel
`void` | `setCopyControlClass(java.lang.String __copyControlClass)` CSS class for copy control Setter for copyControlClass
`void` | `setCopyControlLabel(java.lang.String __copyControlLabel)` Defines a label for a copy control Setter for copyControlLabel
`void` | `setDisabledControlClass(java.lang.String __disabledControlClass)` CSS class for a disabled control Setter for disabledControlClass
`void` | `setDownControlClass(java.lang.String __downControlClass)` CSS class for down control Setter for downControlClass
`void` | `setDownControlLabel(java.lang.String __downControlLabel)` Defines a label for a down control Setter for downControlLabel
`void` | `setFastMoveControlsVisible(boolean __fastMoveControlsVisible)` If "false", 'Copy All' and 'Remove All' controls aren't displayed Setter for fastMoveControlsVisible
`void` | `setFastOrderControlsVisible(boolean __fastOrderControlsVisible)` If "false", 'Top' and 'Bottom' controls aren't displayed.
`void` | `setImmediate(boolean __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setListClass(java.lang.String __listClass)` CSS class for a list Setter for listClass
`void` | `setListsHeight(java.lang.String __listsHeight)` Defines height of the list Setter for listsHeight
`void` | `setMoveControlsVerticalAlign(java.lang.String __moveControlsVerticalAlign)` Customize vertically position of move controls relatively to lists Setter for moveControlsVerticalAlign
`void` | `setMoveControlsVisible(boolean __moveControlsVisible)` If "false", 'Copy' and 'Remove' controls aren't displayed Setter for moveControlsVisible
`void` | `setOnbottomclick(java.lang.String __onbottomclick)` A JavaScript event handler; a button "Bottom" is clicked Setter for onbottomclick
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOncopyallclick(java.lang.String __oncopyallclick)` A JavaScript event handler; a button "Copy All" is clicked Setter for oncopyallclick
`void` | `setOncopyclick(java.lang.String __oncopyclick)` HTML: a script expression; a button "Copy" is clicked Setter for oncopyclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOndownclick(java.lang.String __ondownclick)` A JavaScript event handler; a button "Down" is clicked Setter for ondownclick
`void` | `setOnlistchanged(java.lang.String __onlistchanged)` A JavaScript event handler called on a list change operation Setter for onlistchanged
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnorderchanged(java.lang.String __onorderchanged)` HTML: script expression; called after ordering action Setter for onorderchanged
`void` | `setOnremoveallclick(java.lang.String __onremoveallclick)` A JavaScript event handler; a button "Remove All" is clicked Setter for onremoveallclick
`void` | `setOnremoveclick(java.lang.String __onremoveclick)` A JavaScript event handler; a button "Remove" is clicked Setter for onremoveclick
`void` | `setOntopclick(java.lang.String __ontopclick)` A JavaScript event handler; a button "Top" is clicked Setter for ontopclick
`void` | `setOnupclick(java.lang.String __onupclick)` HTML: a script expression; a button "Up" is clicked Setter for onupclick
`void` | `setOrderControlsVerticalAlign(java.lang.String __orderControlsVerticalAlign)` Customizes vertically position of order controls relatively to lists Setter for orderControlsVerticalAlign
`void` | `setOrderControlsVisible(boolean __orderControlsVisible)` If "false", 'Up' and 'Down' controls aren't displayed.
`void` | `setRemoveAllControlClass(java.lang.String __removeAllControlClass)` CSSlass for remove all control Setter for removeAllControlClass
`void` | `setRemoveAllControlLabel(java.lang.String __removeAllControlLabel)` Defines a label for a removeAll control Setter for removeAllControlLabel
`void` | `setRemoveControlClass(java.lang.String __removeControlClass)` CSS class for remove control Setter for removeControlClass
`void` | `setRemoveControlLabel(java.lang.String __removeControlLabel)` Defines a label for a remove control Setter for removeControlLabel
`void` | `setRequired(boolean __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRowClasses(java.lang.String __rowClasses)` CSS class for a row Setter for rowClasses
`void` | `setShowButtonLabels(boolean __showButtonLabels)` Shows a label for a button Setter for showButtonLabels
`void` | `setSourceCaptionLabel(java.lang.String __sourceCaptionLabel)` Defines source list caption representation text Setter for sourceCaptionLabel
`void` | `setSourceListWidth(java.lang.String __sourceListWidth)` Defines width of a source list Setter for sourceListWidth
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setSwitchByClick(boolean __switchByClick)` If "true", dragging between lists realized by click Setter for switchByClick
`void` | `setTargetCaptionLabel(java.lang.String __targetCaptionLabel)` Defines target list caption representation text Setter for targetCaptionLabel
`void` | `setTargetListWidth(java.lang.String __targetListWidth)` Defines width of a target list Setter for targetListWidth
`void` | `setTopControlClass(java.lang.String __topControlClass)` CSS class for top control Setter for topControlClass
`void` | `setTopControlLabel(java.lang.String __topControlLabel)` Defines a label for a "Top" control Setter for topControlLabel
`void` | `setUpControlClass(java.lang.String __upControlClass)` CSS class for up control Setter for upControlClass
`void` | `setUpControlLabel(java.lang.String __upControlLabel)` Defines a label for an "Up" control Setter for upControlLabel
`void` | `setValid(boolean __valid)` valid Setter for valid
`void` | `setValueChangeListener(javax.faces.el.MethodBinding __valueChangeListener)` Listener for value changes Setter for valueChangeListener

Methods inherited from class org.richfaces.component.UIListShuttle
`addValueChangeListener, createDataModel, getActiveItem, getItemState, getLocalValue, getSourceSelection, getSourceValue, getSubmittedValue, getTargetSelection, getTargetValue, getValueBinding, getValueChangeListeners, isEmpty, processDecodes, removeValueChangeListener, resetDataModel, restoreIterationSubmittedState, setActiveItem, setSourceSelection, setSourceValue, setSubmittedStrings, setSubmittedValue, setTargetSelection, setTargetValue, setValue, updateModel, validate`

Methods inherited from class org.richfaces.component.UIOrderingBaseComponent
`addConversionErrorMessage, addValidator, columns, compareValues, createComponentState, createContainer, createDataModel, dataChildren, decode, executeValidate, fixedChildren, getConverterForValue, getValidator, getValidators, isLocalValueSet, isSuitableValue, processDecodes, processUpdates, processValidators, removeValidator, setLocalValueSet, setValidator, updateModel, validateValue`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, getValue, isRowAvailable, iterate, processUpdates, processValidators, queueEvent, removeRequestKey, resetComponent, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyVar, setStateVar, setupVariable, walk`

Methods inherited from class javax.faces.component.UIData
`getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getValue`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlListShuttle

    public HtmlListShuttle()

  Constructor to init default renderers

Method Detail

### setBottomControlClass

    public void setBottomControlClass(java.lang.String __bottomControlClass)

  CSS class for bottom control Setter for bottomControlClass

  Parameters:
    `bottomControlClass` - - new value

### getBottomControlClass

    public java.lang.String getBottomControlClass()

  CSS class for bottom control Getter for bottomControlClass

  Returns:
    bottomControlClass value from local variable or value bindings

### setBottomControlLabel

    public void setBottomControlLabel(java.lang.String __bottomControlLabel)

  Defines a label for a bottom control Setter for bottomControlLabel

  Parameters:
    `bottomControlLabel` - - new value

### getBottomControlLabel

    public java.lang.String getBottomControlLabel()

  Defines a label for a bottom control Getter for bottomControlLabel

  Returns:
    bottomControlLabel value from local variable or value bindings

### setColumnClasses

    public void setColumnClasses(java.lang.String __columnClasses)

  Comma-separated list of CSS classes for columns Setter for columnClasses

  Parameters:
    `columnClasses` - - new value

### getColumnClasses

    public java.lang.String getColumnClasses()

  Comma-separated list of CSS classes for columns Getter for columnClasses

  Returns:
    columnClasses value from local variable or value bindings

### setControlsType

    public void setControlsType(java.lang.String __controlsType)

  Defines type of a control: button or none. Setter for controlsType

  Parameters:
    `controlsType` - - new value

### getControlsType

    public java.lang.String getControlsType()

  Defines type of a control: button or none. Getter for controlsType

  Returns:
    controlsType value from local variable or value bindings

### setConverter

    public void setConverter(javax.faces.convert.Converter __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### getConverter

    public javax.faces.convert.Converter getConverter()

  Id of Converter to be used or reference to a Converter Getter for converter

  Returns:
    converter value from local variable or value bindings

### setCopyAllControlClass

    public void setCopyAllControlClass(java.lang.String __copyAllControlClass)

  CSS class for copyAll control Setter for copyAllControlClass

  Parameters:
    `copyAllControlClass` - - new value

### getCopyAllControlClass

    public java.lang.String getCopyAllControlClass()

  CSS class for copyAll control Getter for copyAllControlClass

  Returns:
    copyAllControlClass value from local variable or value bindings

### setCopyAllControlLabel

    public void setCopyAllControlLabel(java.lang.String __copyAllControlLabel)

  Defines a label for a copyAll control Setter for copyAllControlLabel

  Parameters:
    `copyAllControlLabel` - - new value

### getCopyAllControlLabel

    public java.lang.String getCopyAllControlLabel()

  Defines a label for a copyAll control Getter for copyAllControlLabel

  Returns:
    copyAllControlLabel value from local variable or value bindings

### setCopyControlClass

    public void setCopyControlClass(java.lang.String __copyControlClass)

  CSS class for copy control Setter for copyControlClass

  Parameters:
    `copyControlClass` - - new value

### getCopyControlClass

    public java.lang.String getCopyControlClass()

  CSS class for copy control Getter for copyControlClass

  Returns:
    copyControlClass value from local variable or value bindings

### setCopyControlLabel

    public void setCopyControlLabel(java.lang.String __copyControlLabel)

  Defines a label for a copy control Setter for copyControlLabel

  Parameters:
    `copyControlLabel` - - new value

### getCopyControlLabel

    public java.lang.String getCopyControlLabel()

  Defines a label for a copy control Getter for copyControlLabel

  Returns:
    copyControlLabel value from local variable or value bindings

### setDisabledControlClass

    public void setDisabledControlClass(java.lang.String __disabledControlClass)

  CSS class for a disabled control Setter for disabledControlClass

  Parameters:
    `disabledControlClass` - - new value

### getDisabledControlClass

    public java.lang.String getDisabledControlClass()

  CSS class for a disabled control Getter for disabledControlClass

  Returns:
    disabledControlClass value from local variable or value bindings

### setDownControlClass

    public void setDownControlClass(java.lang.String __downControlClass)

  CSS class for down control Setter for downControlClass

  Parameters:
    `downControlClass` - - new value

### getDownControlClass

    public java.lang.String getDownControlClass()

  CSS class for down control Getter for downControlClass

  Returns:
    downControlClass value from local variable or value bindings

### setDownControlLabel

    public void setDownControlLabel(java.lang.String __downControlLabel)

  Defines a label for a down control Setter for downControlLabel

  Parameters:
    `downControlLabel` - - new value

### getDownControlLabel

    public java.lang.String getDownControlLabel()

  Defines a label for a down control Getter for downControlLabel

  Returns:
    downControlLabel value from local variable or value bindings

### setFastMoveControlsVisible

    public void setFastMoveControlsVisible(boolean __fastMoveControlsVisible)

  If "false", 'Copy All' and 'Remove All' controls aren't displayed Setter for fastMoveControlsVisible

  Specified by:
    `setFastMoveControlsVisible` in class `UIListShuttle`
  Parameters:
    `fastMoveControlsVisible` - - new value

### isFastMoveControlsVisible

    public boolean isFastMoveControlsVisible()

  If "false", 'Copy All' and 'Remove All' controls aren't displayed Getter for fastMoveControlsVisible

  Specified by:
    `isFastMoveControlsVisible` in class `UIListShuttle`
  Returns:
    fastMoveControlsVisible value from local variable or value bindings

### setFastOrderControlsVisible

    public void setFastOrderControlsVisible(boolean __fastOrderControlsVisible)

  If "false", 'Top' and 'Bottom' controls aren't displayed. Setter for fastOrderControlsVisible

  Specified by:
    `setFastOrderControlsVisible` in class `UIListShuttle`
  Parameters:
    `fastOrderControlsVisible` - - new value

### isFastOrderControlsVisible

    public boolean isFastOrderControlsVisible()

  If "false", 'Top' and 'Bottom' controls aren't displayed. Getter for fastOrderControlsVisible

  Specified by:
    `isFastOrderControlsVisible` in class `UIListShuttle`
  Returns:
    fastOrderControlsVisible value from local variable or value bindings

### setImmediate

    public void setImmediate(boolean __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### isImmediate

    public boolean isImmediate()

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Getter for immediate

  Returns:
    immediate value from local variable or value bindings

### setListClass

    public void setListClass(java.lang.String __listClass)

  CSS class for a list Setter for listClass

  Specified by:
    `setListClass` in class `UIListShuttle`
  Parameters:
    `listClass` - - new value

### getListClass

    public java.lang.String getListClass()

  CSS class for a list Getter for listClass

  Specified by:
    `getListClass` in class `UIListShuttle`
  Returns:
    listClass value from local variable or value bindings

### setListsHeight

    public void setListsHeight(java.lang.String __listsHeight)

  Defines height of the list Setter for listsHeight

  Parameters:
    `listsHeight` - - new value

### getListsHeight

    public java.lang.String getListsHeight()

  Defines height of the list Getter for listsHeight

  Returns:
    listsHeight value from local variable or value bindings

### setMoveControlsVerticalAlign

    public void setMoveControlsVerticalAlign(java.lang.String __moveControlsVerticalAlign)

  Customize vertically position of move controls relatively to lists Setter for moveControlsVerticalAlign

  Specified by:
    `setMoveControlsVerticalAlign` in class `UIListShuttle`
  Parameters:
    `moveControlsVerticalAlign` - - new value

### getMoveControlsVerticalAlign

    public java.lang.String getMoveControlsVerticalAlign()

  Customize vertically position of move controls relatively to lists Getter for moveControlsVerticalAlign

  Specified by:
    `getMoveControlsVerticalAlign` in class `UIListShuttle`
  Returns:
    moveControlsVerticalAlign value from local variable or value bindings

### setMoveControlsVisible

    public void setMoveControlsVisible(boolean __moveControlsVisible)

  If "false", 'Copy' and 'Remove' controls aren't displayed Setter for moveControlsVisible

  Specified by:
    `setMoveControlsVisible` in class `UIListShuttle`
  Parameters:
    `moveControlsVisible` - - new value

### isMoveControlsVisible

    public boolean isMoveControlsVisible()

  If "false", 'Copy' and 'Remove' controls aren't displayed Getter for moveControlsVisible

  Specified by:
    `isMoveControlsVisible` in class `UIListShuttle`
  Returns:
    moveControlsVisible value from local variable or value bindings

### setOnbottomclick

    public void setOnbottomclick(java.lang.String __onbottomclick)

  A JavaScript event handler; a button "Bottom" is clicked Setter for onbottomclick

  Parameters:
    `onbottomclick` - - new value

### getOnbottomclick

    public java.lang.String getOnbottomclick()

  A JavaScript event handler; a button "Bottom" is clicked Getter for onbottomclick

  Returns:
    onbottomclick value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOncopyallclick

    public void setOncopyallclick(java.lang.String __oncopyallclick)

  A JavaScript event handler; a button "Copy All" is clicked Setter for oncopyallclick

  Parameters:
    `oncopyallclick` - - new value

### getOncopyallclick

    public java.lang.String getOncopyallclick()

  A JavaScript event handler; a button "Copy All" is clicked Getter for oncopyallclick

  Returns:
    oncopyallclick value from local variable or value bindings

### setOncopyclick

    public void setOncopyclick(java.lang.String __oncopyclick)

  HTML: a script expression; a button "Copy" is clicked Setter for oncopyclick

  Parameters:
    `oncopyclick` - - new value

### getOncopyclick

    public java.lang.String getOncopyclick()

  HTML: a script expression; a button "Copy" is clicked Getter for oncopyclick

  Returns:
    oncopyclick value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOndownclick

    public void setOndownclick(java.lang.String __ondownclick)

  A JavaScript event handler; a button "Down" is clicked Setter for ondownclick

  Parameters:
    `ondownclick` - - new value

### getOndownclick

    public java.lang.String getOndownclick()

  A JavaScript event handler; a button "Down" is clicked Getter for ondownclick

  Returns:
    ondownclick value from local variable or value bindings

### setOnlistchanged

    public void setOnlistchanged(java.lang.String __onlistchanged)

  A JavaScript event handler called on a list change operation Setter for onlistchanged

  Parameters:
    `onlistchanged` - - new value

### getOnlistchanged

    public java.lang.String getOnlistchanged()

  A JavaScript event handler called on a list change operation Getter for onlistchanged

  Returns:
    onlistchanged value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnorderchanged

    public void setOnorderchanged(java.lang.String __onorderchanged)

  HTML: script expression; called after ordering action Setter for onorderchanged

  Parameters:
    `onorderchanged` - - new value

### getOnorderchanged

    public java.lang.String getOnorderchanged()

  HTML: script expression; called after ordering action Getter for onorderchanged

  Returns:
    onorderchanged value from local variable or value bindings

### setOnremoveallclick

    public void setOnremoveallclick(java.lang.String __onremoveallclick)

  A JavaScript event handler; a button "Remove All" is clicked Setter for onremoveallclick

  Parameters:
    `onremoveallclick` - - new value

### getOnremoveallclick

    public java.lang.String getOnremoveallclick()

  A JavaScript event handler; a button "Remove All" is clicked Getter for onremoveallclick

  Returns:
    onremoveallclick value from local variable or value bindings

### setOnremoveclick

    public void setOnremoveclick(java.lang.String __onremoveclick)

  A JavaScript event handler; a button "Remove" is clicked Setter for onremoveclick

  Parameters:
    `onremoveclick` - - new value

### getOnremoveclick

    public java.lang.String getOnremoveclick()

  A JavaScript event handler; a button "Remove" is clicked Getter for onremoveclick

  Returns:
    onremoveclick value from local variable or value bindings

### setOntopclick

    public void setOntopclick(java.lang.String __ontopclick)

  A JavaScript event handler; a button "Top" is clicked Setter for ontopclick

  Parameters:
    `ontopclick` - - new value

### getOntopclick

    public java.lang.String getOntopclick()

  A JavaScript event handler; a button "Top" is clicked Getter for ontopclick

  Returns:
    ontopclick value from local variable or value bindings

### setOnupclick

    public void setOnupclick(java.lang.String __onupclick)

  HTML: a script expression; a button "Up" is clicked Setter for onupclick

  Parameters:
    `onupclick` - - new value

### getOnupclick

    public java.lang.String getOnupclick()

  HTML: a script expression; a button "Up" is clicked Getter for onupclick

  Returns:
    onupclick value from local variable or value bindings

### setOrderControlsVerticalAlign

    public void setOrderControlsVerticalAlign(java.lang.String __orderControlsVerticalAlign)

  Customizes vertically position of order controls relatively to lists Setter for orderControlsVerticalAlign

  Specified by:
    `setOrderControlsVerticalAlign` in class `UIListShuttle`
  Parameters:
    `orderControlsVerticalAlign` - - new value

### getOrderControlsVerticalAlign

    public java.lang.String getOrderControlsVerticalAlign()

  Customizes vertically position of order controls relatively to lists Getter for orderControlsVerticalAlign

  Specified by:
    `getOrderControlsVerticalAlign` in class `UIListShuttle`
  Returns:
    orderControlsVerticalAlign value from local variable or value bindings

### setOrderControlsVisible

    public void setOrderControlsVisible(boolean __orderControlsVisible)

  If "false", 'Up' and 'Down' controls aren't displayed. Setter for orderControlsVisible

  Specified by:
    `setOrderControlsVisible` in class `UIListShuttle`
  Parameters:
    `orderControlsVisible` - - new value

### isOrderControlsVisible

    public boolean isOrderControlsVisible()

  If "false", 'Up' and 'Down' controls aren't displayed. Getter for orderControlsVisible

  Specified by:
    `isOrderControlsVisible` in class `UIListShuttle`
  Returns:
    orderControlsVisible value from local variable or value bindings

### setRemoveAllControlClass

    public void setRemoveAllControlClass(java.lang.String __removeAllControlClass)

  CSSlass for remove all control Setter for removeAllControlClass

  Parameters:
    `removeAllControlClass` - - new value

### getRemoveAllControlClass

    public java.lang.String getRemoveAllControlClass()

  CSSlass for remove all control Getter for removeAllControlClass

  Returns:
    removeAllControlClass value from local variable or value bindings

### setRemoveAllControlLabel

    public void setRemoveAllControlLabel(java.lang.String __removeAllControlLabel)

  Defines a label for a removeAll control Setter for removeAllControlLabel

  Parameters:
    `removeAllControlLabel` - - new value

### getRemoveAllControlLabel

    public java.lang.String getRemoveAllControlLabel()

  Defines a label for a removeAll control Getter for removeAllControlLabel

  Returns:
    removeAllControlLabel value from local variable or value bindings

### setRemoveControlClass

    public void setRemoveControlClass(java.lang.String __removeControlClass)

  CSS class for remove control Setter for removeControlClass

  Parameters:
    `removeControlClass` - - new value

### getRemoveControlClass

    public java.lang.String getRemoveControlClass()

  CSS class for remove control Getter for removeControlClass

  Returns:
    removeControlClass value from local variable or value bindings

### setRemoveControlLabel

    public void setRemoveControlLabel(java.lang.String __removeControlLabel)

  Defines a label for a remove control Setter for removeControlLabel

  Parameters:
    `removeControlLabel` - - new value

### getRemoveControlLabel

    public java.lang.String getRemoveControlLabel()

  Defines a label for a remove control Getter for removeControlLabel

  Returns:
    removeControlLabel value from local variable or value bindings

### setRequired

    public void setRequired(boolean __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### isRequired

    public boolean isRequired()

  If "true", this component is checked for non-empty input Getter for required

  Returns:
    required value from local variable or value bindings

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

  CSS class for a row Setter for rowClasses

  Parameters:
    `rowClasses` - - new value

### getRowClasses

    public java.lang.String getRowClasses()

  CSS class for a row Getter for rowClasses

  Returns:
    rowClasses value from local variable or value bindings

### setShowButtonLabels

    public void setShowButtonLabels(boolean __showButtonLabels)

  Shows a label for a button Setter for showButtonLabels

  Parameters:
    `showButtonLabels` - - new value

### isShowButtonLabels

    public boolean isShowButtonLabels()

  Shows a label for a button Getter for showButtonLabels

  Returns:
    showButtonLabels value from local variable or value bindings

### setSourceCaptionLabel

    public void setSourceCaptionLabel(java.lang.String __sourceCaptionLabel)

  Defines source list caption representation text Setter for sourceCaptionLabel

  Specified by:
    `setSourceCaptionLabel` in class `UIListShuttle`
  Parameters:
    `sourceCaptionLabel` - - new value

### getSourceCaptionLabel

    public java.lang.String getSourceCaptionLabel()

  Defines source list caption representation text Getter for sourceCaptionLabel

  Specified by:
    `getSourceCaptionLabel` in class `UIListShuttle`
  Returns:
    sourceCaptionLabel value from local variable or value bindings

### setSourceListWidth

    public void setSourceListWidth(java.lang.String __sourceListWidth)

  Defines width of a source list Setter for sourceListWidth

  Parameters:
    `sourceListWidth` - - new value

### getSourceListWidth

    public java.lang.String getSourceListWidth()

  Defines width of a source list Getter for sourceListWidth

  Returns:
    sourceListWidth value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setSwitchByClick

    public void setSwitchByClick(boolean __switchByClick)

  If "true", dragging between lists realized by click Setter for switchByClick

  Parameters:
    `switchByClick` - - new value

### isSwitchByClick

    public boolean isSwitchByClick()

  If "true", dragging between lists realized by click Getter for switchByClick

  Returns:
    switchByClick value from local variable or value bindings

### setTargetCaptionLabel

    public void setTargetCaptionLabel(java.lang.String __targetCaptionLabel)

  Defines target list caption representation text Setter for targetCaptionLabel

  Specified by:
    `setTargetCaptionLabel` in class `UIListShuttle`
  Parameters:
    `targetCaptionLabel` - - new value

### getTargetCaptionLabel

    public java.lang.String getTargetCaptionLabel()

  Defines target list caption representation text Getter for targetCaptionLabel

  Specified by:
    `getTargetCaptionLabel` in class `UIListShuttle`
  Returns:
    targetCaptionLabel value from local variable or value bindings

### setTargetListWidth

    public void setTargetListWidth(java.lang.String __targetListWidth)

  Defines width of a target list Setter for targetListWidth

  Parameters:
    `targetListWidth` - - new value

### getTargetListWidth

    public java.lang.String getTargetListWidth()

  Defines width of a target list Getter for targetListWidth

  Returns:
    targetListWidth value from local variable or value bindings

### setTopControlClass

    public void setTopControlClass(java.lang.String __topControlClass)

  CSS class for top control Setter for topControlClass

  Parameters:
    `topControlClass` - - new value

### getTopControlClass

    public java.lang.String getTopControlClass()

  CSS class for top control Getter for topControlClass

  Returns:
    topControlClass value from local variable or value bindings

### setTopControlLabel

    public void setTopControlLabel(java.lang.String __topControlLabel)

  Defines a label for a "Top" control Setter for topControlLabel

  Parameters:
    `topControlLabel` - - new value

### getTopControlLabel

    public java.lang.String getTopControlLabel()

  Defines a label for a "Top" control Getter for topControlLabel

  Returns:
    topControlLabel value from local variable or value bindings

### setUpControlClass

    public void setUpControlClass(java.lang.String __upControlClass)

  CSS class for up control Setter for upControlClass

  Parameters:
    `upControlClass` - - new value

### getUpControlClass

    public java.lang.String getUpControlClass()

  CSS class for up control Getter for upControlClass

  Returns:
    upControlClass value from local variable or value bindings

### setUpControlLabel

    public void setUpControlLabel(java.lang.String __upControlLabel)

  Defines a label for an "Up" control Setter for upControlLabel

  Parameters:
    `upControlLabel` - - new value

### getUpControlLabel

    public java.lang.String getUpControlLabel()

  Defines a label for an "Up" control Getter for upControlLabel

  Returns:
    upControlLabel value from local variable or value bindings

### setValid

    public void setValid(boolean __valid)

  valid Setter for valid

  Parameters:
    `valid` - - new value

### isValid

    public boolean isValid()

  valid Getter for valid

  Returns:
    valid value from local variable or value bindings

### setValueChangeListener

    public void setValueChangeListener(javax.faces.el.MethodBinding __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Specified by:
    `setValueChangeListener` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `setValueChangeListener` in class `UIListShuttle`
  Parameters:
    `valueChangeListener` - - new value

### getValueChangeListener

    public javax.faces.el.MethodBinding getValueChangeListener()

  Listener for value changes Getter for valueChangeListener

  Specified by:
    `getValueChangeListener` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `getValueChangeListener` in class `UIListShuttle`
  Returns:
    valueChangeListener value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIListShuttle`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIListShuttle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.